import request from '@/utils/request'

// 查询入库记录列表
export function listIn(query) {
  return request({
    url: '/stock/in/list',
    method: 'get',
    params: query
  })
}

// 查询入库记录详细
export function getIn(stockInCode) {
  return request({
    url: '/stock/in/' + stockInCode,
    method: 'get'
  })
}

// 新增入库记录
export function addIn(data) {
  return request({
    url: '/stock/in',
    method: 'post',
    data: data
  })
}

// 修改入库记录
export function updateIn(data) {
  return request({
    url: '/stock/in',
    method: 'put',
    data: data
  })
}

// 删除入库记录
export function delIn(stockInCode) {
  return request({
    url: '/stock/in/' + stockInCode,
    method: 'delete'
  })
}
